<?php
namespace Ep\Wp;

use Ep\Cache\AbstractCacheFactory;
use Zend\ConfigAggregator\ConfigAggregator;
use Zend\ConfigAggregator\PhpFileProvider;
use Zend\ServiceManager\AbstractFactory\ReflectionBasedAbstractFactory;
use Zend\ServiceManager\Factory\InvokableFactory;

/**
 * Class ConfigProvider
 *
 * @package Ep\Wp
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-wordpress
 */
class ConfigProvider
{
    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke()
    {
        return (new ConfigAggregator([

            new PhpFileProvider(__DIR__ . '/../config/*.config.php'),
        ]))->getMergedConfig();
/*
            [
            'twig' => [
                'extensions' => [
                    Plugin\TwigExtension::class,
                ],
            ],

            'wp_widgets' => [

            ],

            'wp' => [
                'admin_only'   => false,
                'debug'        => false,
                'load_theme'   => true,
                'table_prefix' => 'wp_',

                /**
                 * {@link https://api.wordpress.org/secret-key/1.1/salt/ WordPress.org secret-key service}
                 */
                /*'auth_key'         => '',
                'secure_auth_key'  => '',
                'logged_in_key'    => '',
                'nonce_key'        => '',
                'auth_salt'        => '',
                'secure_auth_salt' => '',
                'logged_in_salt'   => '',
                'nonce_salt'       => '',

                'assets' => [],
                'widgets' => [],
                'plugins' => [
                    'translationcache',
                    'views',
                    'widgets',
                ],
            ],
        ];
                */
    }
}